package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 视频设备对象 bd_camera_info
 * 
 * @author ruoyi
 * @date 2025-01-21
 */
public class BdCameraInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 摄像机名称 */
    @Excel(name = "摄像机名称")
    private String cameraName;

    /** 流地址 */
    @Excel(name = "流地址")
    private String cameraStream;

    /** web直播流 */
    @Excel(name = "web直播流")
    private String liveStream;

    /** 通道号 */
    @Excel(name = "通道号")
    private String channelCode;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCameraName(String cameraName) 
    {
        this.cameraName = cameraName;
    }

    public String getCameraName() 
    {
        return cameraName;
    }
    public void setCameraStream(String cameraStream) 
    {
        this.cameraStream = cameraStream;
    }

    public String getCameraStream() 
    {
        return cameraStream;
    }
    public void setLiveStream(String liveStream) 
    {
        this.liveStream = liveStream;
    }

    public String getLiveStream() 
    {
        return liveStream;
    }
    public void setChannelCode(String channelCode) 
    {
        this.channelCode = channelCode;
    }

    public String getChannelCode() 
    {
        return channelCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("cameraName", getCameraName())
            .append("cameraStream", getCameraStream())
            .append("liveStream", getLiveStream())
            .append("channelCode", getChannelCode())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
